<html>

<head>
    <link rel="stylesheet" href="/style.css">
</head>

<body>
    <div class="header">
        <p>學生上課回饋表單</p>
    </div>
    <div class="sidebar_left">
        <h3>範本參考圖</h3>
        <img src="/asstes/sample.PNG" style="width: 600px;">
    </div>
    <div class="content">
        <!-- 16% 請使表單內建驗證機制，將姓名、學號、Email為必填，未填寫不可送出 -->
        <form method="post" action="#" id="bordertext" onsubmit="return checkForm(bordertext);">
            日期：<input type="date" name="enterDate" required=”true” /><br />
            姓名：<input type="text" name="name" required=”true” /><br />
            學號：<input type="text" id="stid" name="studentid" onchange="checkstuid()" placeholder="僅填學號不用加s" /><br />
            性別：<input type="radio" name="sex" value="M" />男
            <input type="radio" name="sex" value="F" />女<br />
            Email: <input type="email" name="email" placeholder="e.g. test@gmail.com" required=”true” /><br />
            <input type="checkbox" name="public" />填寫的資料可於公開用途使用<br />
            系所科系：<select name="department" id="department" onchange="itemSelected()">
                <option value="0">請選擇</option>
                <option value="1">資訊工程系所</option>>
                <option value="2">科技藝術系所</option>
                <option value="3">文創產業系所</option>
                <option value="4">電機系工程系所</option>
                <option value="5">不知自己來自何方</option>
            </select><br />
            對於今天的教學評價：<input type="radio" name="teaching" />1
            <input type="radio" name="teaching" />2<input type="radio" name="teaching" />3
            <input type="radio" name="teaching" />4<input type="radio" name="teaching" />5<br />
            對於今天的老師相貌評價：<input type="radio" name="appearance" id="appearance" />1
            <input type="radio" name="appearance" />2<input type="radio" name="appearance" />3
            <input type="radio" name="appearance" />4<input type="radio" name="appearance" />5<br />
            對於今天的教室消毒評價：<input type="radio" name="disinfection" />1
            <input type="radio" name="disinfection" />2<input type="radio" name="disinfection" />3
            <input type="radio" name="disinfection" />4<input type="radio" name="disinfection" />5<br />
            想對老師說的話：<br /><textarea name="comment" id="comment" rows="4" cols="50"></textarea><br />
            <script>
                // (20%)透過onchange處理檢查，完成checkstuid方法，需檢查學號必須填7個字數，並且檢查學號裡面只能有數字(提示使用isNaN()來處理檢查是否為數字)
                function checkstuid() {
                    let stid = document.getElementById("stid")
                    let value = stid.value
                    if (isNaN(value)) {
                        stid.setCustomValidity("一定要是數字")
                        stid.reportValidity()
                    }
                    else if (value < 1000000) {
                        stid.setCustomValidity("學號必須填7個字數")
                        stid.reportValidity()
                    }
                    else if (value > 9999999) {
                        stid.setCustomValidity("學號必須填7個字數")
                        stid.reportValidity()
                    }
                    else {
                        stid.setCustomValidity()
                        stid.reportValidity()
                    }
                }

                // (16%)透過onchange處理檢查，完成itemSelected方法，請依department選擇的科系，改變comment的內容，顯示問候語(舉例，資訊工程系所->老師您好，我是資訊工程系所的同學：)
                function itemSelected() {
                    let department = document.getElementById("department")
                    let comment = document.getElementById("comment")
                    if (department.value == "1") {
                        comment.value = "老師您好，我是資訊工程系所的同學："
                    }
                    else if (department.value == "2") {
                        comment.value = "老師您好，我是科技藝術系所的同學："
                    }
                    else if (department.value == "3") {
                        comment.value = "老師您好，我是文創產業系所的同學："
                    }
                    else if (department.value == "4") {
                        comment.value = "老師您好，我是電機系工程系所的同學："
                    }
                    else if (department.value == "5") {
                        comment.value = "老師您好，我是不知自己來自何方的同學："
                    }
                }

                // (16%)透過onsubmit處理，在表單送出時，檢查appearance分數，如果低於4分，就alert("您給的相貌評價太低了!")
                function checkForm(bordertext) {
                    let face = -1
                    for (let i = 0; i < bordertext.appearance.length; i++) {
                        if (bordertext.appearance[i].checked) {
                            face = (i + 1)
                        }

                    }
                    if (face < 4) {
                        alert("您給的相貌評價太低了!")
                        return false;}

                    }
            </script>
            <div id="boderbottom">
                <input class="bottomstyle" type="submit" /><input class="bottomstyle" type="reset" />
            </div>
        </form>
    </div>

</body>

</html>